@import 'theme.css';

@font-face {
  font-family: 'Roboto';
  src: URL('./Roboto.ttf') format('truetype');
}

.root {
  /* Required by base-ui portals - popovers etc */
  isolation: isolate;

  /* IOS 26 and safari */
  position: relative;
}

/* Reset and base styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', serif;
  line-height: 1.6;
  color: #1a1a1a;
  background-color: #ffffff;
  position: relative;
}

h1,
h2 {
  border-bottom: 1px solid black;
  font-family: 'Roboto', sans-serif;
}
/* Typography */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 500;
  color: #333333;
}
h1 {
  line-height: 0.75rem;
  font-size: 1.75rem;
  padding-bottom: 0.25rem;
}
h2 {
  margin-top: 2rem;
  line-height: 1.1rem;
  font-size: 1.25rem;
  margin-bottom: 1.25rem;
}

p,
li {
  max-width: 60em;
}
section {
  margin-bottom: 2rem;
}

ul,
p,
section {
  break-inside: avoid;
}
